package cn.com.tenlion.systembase.controller.route.masspreventionrank;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.*;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: MassPreventionRankController
 * @Description: 群防群治队伍
 * @Author: CodeFactory
 * @Date: 2021-10-12 14:40:57
 * @Version: 3.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "群防群治队伍路由")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/masspreventionrank")
public class MassPreventionRankRouteController extends DefaultBaseController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("masspreventionrank/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("masspreventionrank/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("masspreventionrank/list");
    }

    @GetMapping("list-view")
    public ModelAndView listView() {
        return new ModelAndView("masspreventionrank/list-view");
    }

}